=== debian/control ===
Source: netris
Section: games
Priority: optional
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper-compat (= 13), libncurses5-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rhonda/netris.git
Vcs-Browser: https://salsa.debian.org/rhonda/netris
Rules-Requires-Root: no

Package: netris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: free, networked version of T*tris
 Netris is a free, networked variant of Tetris.
 .
 One-player mode is a tad boring at the moment because it never
 gets any faster and there's no scoring.  This will be rectified
 at some point.
 .
 Two players can play against each other. If you fill two or three
 lines with one piece your opponent gets respectively one or two
 unfilled lines at the bottom of his screen. If you fill even four lines
 with one piece your opponent will get four unfilled lines.
 .
 This version at least partially supports robots. You can find the
 protocol description in the documentation and a sample robot in
 the examples.
