=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

-include /usr/share/dpkg/buildtools.mk

%:
	dh $@


override_dh_clean:
	-rm -rf config.h .depend
	dh_clean
	-rm -f Makefile

override_dh_auto_configure:
	./Configure -g --cc $(CC)

override_dh_installdirs:
	dh_installdirs
	cp sr debian/netris/usr/games/netris-sample-robot

override_dh_auto_build:
	dh_auto_build -- CEXTRA="-ffile-prefix-map=$(CURDIR)=."
